//------------------------------------------------------------------------------
// <copyright company="Telligent Systems">
//     Copyright (c) Telligent Systems Corporation.  All rights reserved.
// </copyright> 
//------------------------------------------------------------------------------

using System;
using System.Web.UI.WebControls;
using CommunityServer.Components;
using CommunityServer.Controls;

namespace CommunityServer.Blogs.Controls
{
	/// <summary>
	/// Summary description for BlogNews.
	/// </summary>
	public class BlogNews : WeblogThemedControl
	{
		public BlogNews()
		{
			//
			// TODO: Add constructor logic here
			//
		}

	    /// <summary>
	    /// Override this method to attach templated or external skin controls to local references.
	    /// </summary>
	    protected override void AttachChildControls()
	    {
	        
            if(!Globals.IsNullorEmpty(CurrentWeblog.News))
            {
                IText news = FindText("NewsItem");
                news.Text = CurrentWeblog.News;
            }
            else
            {
                this.Controls.Clear();
            }
	    }
	}
}
